<?php
include ("../conectar.php");
include ("../funciones/fechas.php");

$cdgven=$_POST["codusu"];
$fechainicio=$_POST["fechainicio"];
$fechafin=$_POST["fechafin"];
$cdgtipven=$_POST["combotipoventa"];

$fechainicio= implode("-", array_reverse(explode("-", $fechainicio))); 
$fechafin= implode("-", array_reverse(explode("-", $fechafin))); 




$cadena_busqueda=$_POST["cadena_busqueda"];

$where="1=1";
if ($cdgven <> "") { $where.=" AND cdgven='$cdgven'"; }
if ($cdgtipven <> "") { $where.=" AND cdgtipven='$cdgtipven'"; }


if (($fechainicio<>"") and ($fechafin<>"")) {
	 $where.=" AND fecha between '".$fechainicio."' AND '".$fechafin."'";
} else {
	if ($fechainicio<>"") {
	 	$where.=" AND fecha >='".$fechainicio."'";
	} else {
		if ($fechafin<>"") {
		$where.=" AND fecha <='".$fechafin."'";
		}
	}
}


$query_busqueda="SELECT count(*) as filas FROM facturas WHERE  borrado=0  AND ".$where;
$rs_busqueda=mysql_query($query_busqueda);
  $filas=mysql_result($rs_busqueda,0,"filas");

$query_busqueda="SELECT * FROM facturas WHERE borrado = 0 AND ".$where;
$rs_busqueda=mysql_query($query_busqueda);

$totalfacturas=0;
while($row=mysql_fetch_array($rs_busqueda, MYSQL_ASSOC)){

	$importe+=$row["importe"];
	$mondes+=$row["mondes"];
	$impuesto+=$row["impuesto"];
	$totalfacturas=$importe-$mondes+$impuesto;

	
}

	 $importe=number_format($importe,2,",",".");
	 $mondes=number_format($mondes,2,",",".");
	 $impuesto=number_format($impuesto,2,",",".");
	 $totalfacturas=number_format($totalfacturas,2,",",".");

?>
<html>
	<head>
		<title>Clientes</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script language="javascript">
		
		colorfondo;
		
		function ver_proforma(codfactura) {
			parent.location.href="ver_proforma.php?codfactura=" + codfactura + "&cadena_busqueda=<? echo $cadena_busqueda?>";
		}
		
		function modificar_proforma(codfactura,marcaestado) {
			if (marcaestado==1) {
				parent.location.href="modificar_proforma.php?codfactura=" + codfactura + "&cadena_busqueda=<? echo $cadena_busqueda?>";
			} else {
				alert ("No puede modificar una factura ya pagada.");
			}
		}
		
	//////////////////////////////////////  funcion anular factura //////////////////////////////////////////////////////

		function eliminar_proforma(codfactura,marcaborrado) {
			if (marcaborrado==1) {
		       alert ("Favor verifique factura ya fue ANULADA !");
					} else {	
			parent.location.href="eliminar_proforma.php?codfactura=" + codfactura + "&cadena_busqueda=<? echo $cadena_busqueda?>";
			
			}
		}
					      

		function inicio() {
			var numfilas=document.getElementById("numfilas").value;
			var indi=parent.document.getElementById("iniciopagina").value;
			var contador=1;
			var indice=0;
			if (indi>numfilas) { 
				indi=1; 
			}
			parent.document.form_busqueda.filas.value=numfilas;
			parent.document.form_busqueda.totalfacturas.value=document.getElementById("totalfacturas").value;
			parent.document.form_busqueda.paginas.innerHTML="";		
			while (contador<=numfilas) {
				texto=contador + "-" + parseInt(contador+15);
				if (indi==contador) {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
					parent.document.form_busqueda.paginas.options[indice].selected=true;
				} else {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
				}
				indice++;
				contador=contador+16;
			}
		}
		
		function CambiaColor(esto,fondo,texto)
		{
			colorfondo=esto.style.background;
			esto.style.background=fondo;
			esto.style.color=texto;
			return colorfondo;
		}
		
		function CambiaColor2(esto,texto)
		{
			esto.style.background=colorfondo;
			esto.style.color=texto;
		}
		
				function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

function pon_prefijo(importe,mondes,impuesto,total) {

	parent.document.form_busqueda.importe.value=importe;
	parent.document.form_busqueda.mondes.value=mondes;
	parent.document.form_busqueda.impuesto.value=impuesto;
	parent.document.form_busqueda.total.value=total;

	
    
}

		
		</script>
	</head>

	<body onload= nobackbutton(); inicio()>	
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente9" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
            
			<input type="hidden" name="numfilas" id="numfilas" value="<? echo $filas?>">
			<input type="hidden" name="totalfacturas" id="totalfacturas" value="<? echo $totalfacturas?>">
				<? $iniciopagina=$_POST["iniciopagina"];
				if (empty($iniciopagina)) { $iniciopagina=$_GET["iniciopagina"]; } else { $iniciopagina=$iniciopagina-1;}
				if (empty($iniciopagina)) { $iniciopagina=0; }
				if ($iniciopagina>$filas) { $iniciopagina=0; }
					if ($filas > 0) { ?>
						<? 	$sel_resultado="SELECT subtot, destot, impven, totalfactura, borrado,cdgcli,dsccli, fecha , numfactura FROM facturas WHERE  borrado=0   AND ".$where. "  ORDER BY  fecha ASC " ;
								   $sel_resultado=$sel_resultado."  limit ".$iniciopagina.",10000";
				
						
							   $res_resultado=mysql_query($sel_resultado);
						   $contador=0;
						   $marcaestado=0;	
						   $marcaborrado=0;						   
						   while ($contador < mysql_num_rows($res_resultado)) { 
						   
						   			$importe= mysql_result($res_resultado,$contador,"subtot");	
								    $mondes= mysql_result($res_resultado,$contador,"destot");
									$impuesto= mysql_result($res_resultado,$contador,"impven");
									$total = mysql_result($res_resultado,$contador,"totalfactura");
									$fecha=mysql_result($res_resultado,$contador,"fecha") ;
							
							$fecha= implode("-", array_reverse(explode("-", $fecha))); 
							
								
								if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
								
								<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >

								<td width="2%"><? $contador+1;?></td>
								<td width="8%"><div align="LEFT"><? echo mysql_result($res_resultado,$contador,"numfactura") ?></div></td>
								<td width="11%"><div align="LEFT"><? echo $fecha ?></div></td>
								<td width="7%" align="right"><div align="left"><? echo mysql_result($res_resultado,$contador,"cdgcli")?></div></td>	
									<?	  $dscart = substr(mysql_result($res_resultado,$contador,"dsccli"), 0,30);  ?>	
								<td width="27%"><div align="left"><? echo $dscart  ?></div></td>	
						
								<td width="14%"><div align="right"><? echo number_format(mysql_result($res_resultado,$contador,"subtot"),2) ?></div></td>	
								<td width="10%"><div align="right"><? echo number_format(mysql_result($res_resultado,$contador,"destot"),2) ?></div></td>	
								<td width="9%"><div align="right"><? echo number_format(mysql_result($res_resultado,$contador,"impven"),2) ?></div></td>	
								<td width="9%"><div align="right"><? echo number_format($total,2) ?></div>								  <div align="center"></div></td>	
					
								<td width="3%"><div align="center"></div></td>
						</tr>
						</tr>	
						<? $contador++;
							}
						?>			
					</table>
					<? } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php echo 	"No hay Facturas que cumplan con los criterios de b&uacute;squeda";?></td>
					    </tr>
					</table>					
					<? } 
					
					
					   	$sel_Saldo="SELECT  SUM(subtot) AS importe, SUM(destot) AS mondes , SUM(impven) AS impuesto ,  SUM(totalfactura) AS totalfactura FROM facturas WHERE borrado=0 AND  ".$where;
				
	$rs_facturas=mysql_query($sel_Saldo);

	$importe=mysql_result($rs_facturas,0,"importe");
	$impuesto=mysql_result($rs_facturas,0,"impuesto");
	$mondes=mysql_result($rs_facturas,0,"mondes");
    $total=mysql_result($rs_facturas,0,"totalfactura");
	
		$importe=number_format($importe,2);
		$impuesto=number_format($impuesto,2);
		$mondes=number_format($mondes,2);
		$total=number_format($total,2);
	
	
					
					?>	
                    	
                    
                 <script languaje="javascript">
	pon_prefijo("<? echo $importe ?>","<? echo $mondes ?>","<? echo $impuesto ?>","<? echo $total?>");
	
		</script>			
			  </div>
			</div>
		  </div>			
		</div>
	</body>
</html>
